Skip to main content
POST
Create a schedule action

Authorizations

Authorization
string
header
required

Path Parameters

campaignId
string
required
version
string
required
Pattern: (/version/.+)?
controllerId
string
required

Body

application/json

Body of a POST /v2/campaigns/{campaignId}{version:(/version/.+)?}/controllers/{controllerId}/actions/schedules request.

component_ids
string[]
component_references
object[]
data
object
dates

Choose between static or dynamic dates

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
delays

Choose between static or dynamic delays

RFC 5545 duration string.

Pattern: ^[-+]?P(?:(?:[-+]?[0-9]+D)(?:T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)?|T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)$
enabled

Choose between static or dynamic enabled

extra_data

Choose between static or dynamic extra data

force
boolean
quality
enum<string>
Available options:
ALWAYS,
HIGH,
LOW
schedule_name

Choose between static or dynamic schedule name

Response

Successful response

action_id
string
action_type
enum<string>
Available options:
SCHEDULE
component_ids
string[]
component_references
object[]
enabled

The enabled as configured: a literal value, or an expression (type:string) when defined dynamically.

quality
enum<string>
Available options:
ALWAYS,
HIGH,
LOW
data
object
dates

The dates as configured: a literal value, or an expression (type:string) when defined dynamically.

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
delays

The delays as configured: a literal value, or an expression (type:string) when defined dynamically.

RFC 5545 duration string.

Pattern: ^[-+]?P(?:(?:[-+]?[0-9]+D)(?:T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)?|T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)$
extra_data

The extra data as configured: a literal value, or an expression (type:string) when defined dynamically.

force
boolean
schedule_name

The schedule name as configured: a literal value, or an expression (type:string) when defined dynamically.